ham/codec2 - The NetBSD Packages Collection

Speech codec for between 700 and 3200 bit/s

Codec 2 is an open source speech codec designed for communications
quality speech between 700 and 3200 bit/s. The main application is low
bandwidth HF/VHF digital radio. It fills a gap in open source voice
codecs beneath 5000 bit/s and is released under the GNU Lesser General
Public License (LGPL).

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcodec2-0.9.2.tgz
NetBSD 8.0earmv7hfcodec2-0.5.1.tgz
NetBSD 8.0earmv7hfcodec2-0.9.2.tgz
NetBSD 8.0i386codec2-0.5.1.tgz
NetBSD 8.0i386codec2-0.9.2.tgz
NetBSD 8.0i386codec2-0.9.2.tgz
NetBSD 8.0powerpccodec2-0.5.1.tgz
NetBSD 8.0powerpccodec2-0.9.2.tgz
NetBSD 8.0powerpccodec2-0.9.2.tgz
NetBSD 8.0x86_64codec2-0.9.2.tgz
NetBSD 8.0x86_64codec2-0.5.1.tgz
NetBSD 8.0x86_64codec2-0.9.2.tgz
NetBSD 9.0aarch64codec2-0.9.2.tgz
NetBSD 9.0aarch64codec2-0.5.1.tgz
NetBSD 9.0aarch64codec2-0.9.2.tgz
NetBSD 9.0alphacodec2-0.9.2.tgz
NetBSD 9.0alphacodec2-0.5.1.tgz
NetBSD 9.0alphacodec2-0.9.2.tgz
NetBSD 9.0earmcodec2-0.5.1.tgz
NetBSD 9.0earmcodec2-0.9.2.tgz
NetBSD 9.0earmcodec2-0.9.2.tgz
NetBSD 9.0earmv6hfcodec2-0.9.2.tgz
NetBSD 9.0earmv6hfcodec2-0.5.1.tgz
NetBSD 9.0earmv6hfcodec2-0.9.2.tgz
NetBSD 9.0earmv6hfcodec2-0.9.2.tgz
NetBSD 9.0earmv7hfcodec2-0.9.2.tgz
NetBSD 9.0earmv7hfcodec2-0.5.1.tgz
NetBSD 9.0earmv7hfcodec2-0.9.2.tgz
NetBSD 9.0earmv7hfcodec2-0.9.2.tgz
NetBSD 9.0i386codec2-0.5.1.tgz
NetBSD 9.0i386codec2-0.9.2.tgz
NetBSD 9.0i386codec2-0.9.2.tgz
NetBSD 9.0mips64ebcodec2-0.9.2.tgz
NetBSD 9.0mips64ebcodec2-0.5.1.tgz
NetBSD 9.0mips64ebcodec2-0.9.2.tgz
NetBSD 9.0powerpccodec2-0.9.2.tgz
NetBSD 9.0powerpccodec2-0.5.1.tgz
NetBSD 9.0sh3elcodec2-0.9.2.tgz
NetBSD 9.0sh3elcodec2-0.9.2.tgz
NetBSD 9.0sparc64codec2-0.9.2.tgz
NetBSD 9.0sparc64codec2-0.5.1.tgz
NetBSD 9.0sparc64codec2-0.5.1.tgz
NetBSD 9.0sparc64codec2-0.9.2.tgz
NetBSD 9.0sparccodec2-0.9.2.tgz
NetBSD 9.0sparccodec2-0.5.1.tgz
NetBSD 9.0sparccodec2-0.9.2.tgz
NetBSD 9.0x86_64codec2-0.5.1.tgz
NetBSD 9.0x86_64codec2-0.9.2.tgz
NetBSD 9.0x86_64codec2-0.9.2.tgz
NetBSD 9.0x86_64codec2-0.9.2.tgz
NetBSD 9.0x86_64codec2-0.5.1.tgz
NetBSD 9.0x86_64codec2-0.9.2.tgz
NetBSD 9.0x86_64codec2-0.9.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.